package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;
import org.seasar.extension.jdbc.CallableStatementFactory;

/**
 * @author higa
 *  
 */
public class DeleteBatchAutoStaticCommand extends
		AbstractBatchAutoStaticCommand {

	public DeleteBatchAutoStaticCommand(DataSource dataSource,
			CallableStatementFactory callableStatementFactory,
			BeanMetaData beanMetaData, String[] propertyNames) {

		super(dataSource, callableStatementFactory, beanMetaData, propertyNames);
	}

	protected AbstractAutoHandler createAutoHandler() {
		return new DeleteBatchAutoHandler(getDataSource(),
				getCallableStatementFactory(), getBeanMetaData(),
				getPropertyTypes());
	}

	protected void setupSql() {
		setupDeleteSql();
	}

	protected void setupPropertyTypes(String[] propertyNames) {
		setupDeletePropertyTypes(propertyNames);

	}
}